import { DBType, TransformerSecrets } from '@aws-amplify/graphql-transformer-interfaces';
export declare enum ImportedRDSType {
    MYSQL = "mysql",
    POSTGRESQL = "postgres"
}
export type ImportedDataSourceType = ImportedRDSType;
export type ImportedDataSourceConfig = RDSDataSourceConfig;
export type RDSDataSourceConfig = RDSConnectionSecrets & {
    engine: ImportedRDSType;
};
export type ImportAppSyncAPIInputs = {
    apiName: string;
    dataSourceConfig?: ImportedDataSourceConfig;
};
export declare const SQL_SCHEMA_FILE_NAME = "schema.sql.graphql";
export type RDSConnectionSecrets = TransformerSecrets & {
    username: string;
    password: string;
    host: string;
    database: string;
    port: number;
};
export declare const MYSQL_DB_TYPE: DBType;
export declare const DDB_DB_TYPE: DBType;
export declare const POSTGRES_DB_TYPE: DBType;
//# sourceMappingURL=import-appsync-api-types.d.ts.map