import { AppSyncAuthConfiguration, TransformerPluginProvider, TransformerLog, VpcConfig, RDSLayerMapping, NestedStackProvider, AssetProvider, SynthParameters, TransformParameterProvider, DataSourceType, ProvisionedConcurrencyConfig } from '@aws-amplify/graphql-transformer-interfaces';
import type { TransformParameters } from '@aws-amplify/graphql-transformer-interfaces/src';
import { GraphQLTransform, RDSConnectionSecrets, ResolverConfig, UserDefinedSlot } from '@aws-amplify/graphql-transformer-core';
import { Construct } from 'constructs';
import { IFunction } from 'aws-cdk-lib/aws-lambda';
export type TransformerFactoryArgs = {
    storageConfig?: any;
    customTransformers?: TransformerPluginProvider[];
    functionNameMap?: Record<string, IFunction>;
};
export type TransformConfig = {
    transformersFactoryArgs: TransformerFactoryArgs;
    resolverConfig?: ResolverConfig;
    authConfig?: AppSyncAuthConfiguration;
    userDefinedSlots?: Record<string, UserDefinedSlot[]>;
    stackMapping?: Record<string, string>;
    transformParameters: TransformParameters;
    sqlLambdaVpcConfig?: VpcConfig;
    rdsLayerMapping?: RDSLayerMapping;
    sqlLambdaProvisionedConcurrencyConfig?: ProvisionedConcurrencyConfig;
};
export declare const constructTransformerChain: (options?: TransformerFactoryArgs) => TransformerPluginProvider[];
export declare const constructTransform: (config: TransformConfig) => GraphQLTransform;
export type ExecuteTransformConfig = TransformConfig & {
    schema: string;
    modelToDatasourceMap?: Map<string, DataSourceType>;
    customQueries?: Map<string, string>;
    datasourceSecretParameterLocations?: Map<string, RDSConnectionSecrets>;
    printTransformerLog?: (log: TransformerLog) => void;
    sqlLambdaVpcConfig?: VpcConfig;
    rdsLayerMapping?: RDSLayerMapping;
    scope: Construct;
    nestedStackProvider: NestedStackProvider;
    parameterProvider?: TransformParameterProvider;
    assetProvider: AssetProvider;
    synthParameters: SynthParameters;
    sqlLambdaProvisionedConcurrencyConfig?: ProvisionedConcurrencyConfig;
};
export declare const defaultPrintTransformerLog: (log: TransformerLog) => void;
export declare const executeTransform: (config: ExecuteTransformConfig) => void;
//# sourceMappingURL=graphql-transformer.d.ts.map